SLASH_EMI1 = "/emi"
SlashCmdList["EMI"] = function(msg, editBox)
	local err = false;
	local mac, num, tex = msg:match("([^ ]+) ([^ ]+) ([^ ]+)");
		
	if msg == "" then err = true; end
	if mac ~= "account" and mac ~= "acc" and mac ~= "character" and mac ~= "char" then err = true; end
	if type(num) == "nil" or num == 0 then err = true; end

	if not err then
		if mac == "acc" or mac == "account" then
			EditMacro(num, nil, tex, nil);
			if MacroFrame then
				MacroFrame:Hide()
				MacroFrame:Show()
			end
			print("Changed texture of account macro " .. num .. " to " .. tex);
		elseif mac == "char" or mac == "character" then
			EditMacro(MAX_ACCOUNT_MACROS + num, nil, tex, nil);
			if MacroFrame then
				MacroFrame:Hide()
				MacroFrame:Show()
			end
			print("Changed texture of character macro " .. num .. " to " .. tex);
		end
	else
		print("Usage: /emi <account/character> <#> <texture_name>")
	end
end